Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.learning
Interface ACRFTrainer

All Known Implementing Classes:
  DefaultAcrfTrainer

    public interface ACRFTrainer

$Id: ACRFTrainer.java,v 1.1 2007/10/22 21:37:43 mccallum Exp $

Method Summary
`boolean` | `train(ACRF acrf, InstanceList training)`
`boolean` | `train(ACRF acrf, InstanceList training, ACRFEvaluator eval, int numIter)`
`boolean` | `train(ACRF acrf, InstanceList training, InstanceList validation, InstanceList testing, ACRFEvaluator eval, int numIter)`
`boolean` | `train(ACRF acrf, InstanceList training, InstanceList validation, InstanceList testing, ACRFEvaluator eval, int numIter, Optimizable.ByGradientValue macrf)`
`boolean` | `train(ACRF acrf, InstanceList training, InstanceList validation, InstanceList testing, int numIter)`
`boolean` | `train(ACRF acrf, InstanceList training, int numIter)`

Method Detail

### train

    boolean train(ACRF acrf,
                  InstanceList training)

### train

    boolean train(ACRF acrf,
                  InstanceList training,
                  int numIter)

### train

    boolean train(ACRF acrf,
                  InstanceList training,
                  ACRFEvaluator eval,
                  int numIter)

### train

    boolean train(ACRF acrf,
                  InstanceList training,
                  InstanceList validation,
                  InstanceList testing,
                  int numIter)

### train

    boolean train(ACRF acrf,
                  InstanceList training,
                  InstanceList validation,
                  InstanceList testing,
                  ACRFEvaluator eval,
                  int numIter)

### train

    boolean train(ACRF acrf,
                  InstanceList training,
                  InstanceList validation,
                  InstanceList testing,
                  ACRFEvaluator eval,
                  int numIter,
                  Optimizable.ByGradientValue macrf)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD